## -*- coding: utf-8 -*-
## Copyright (C) 2006 Ingeniweb

## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.

## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.

## You should have received a copy of the GNU General Public License
## along with this program; see the file COPYING. If not, write to the
## Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
"""
$Id: config.py,v 1.7 2005/05/13 16:44:27 clebeaupin Exp $
"""

__author__  = ''
__docformat__ = 'restructuredtext'

# CMF imports
from Products.CMFCore import CMFCorePermissions

PROJECTNAME = 'FileSystemStorage'
GLOBALS = globals()
SKINS_DIR = 'skins'
DEBUG = False
INSTALL_EXAMPLE_TYPES_ENVIRONMENT_VARIABLE = 'FSS_INSTALL_EXAMPLE_TYPES'

from Products.FileSystemStorage.strategy import \
    FlatStorageStrategy, \
    DirectoryStorageStrategy, \
    SiteStorageStrategy
STORAGE_STRATEGY = FlatStorageStrategy

# Configlets
fss_prefs_configlet = {
    'id': 'fss_prefs',
    'appId': PROJECTNAME,
    'name': 'FileSystem storage Preferences',
    'action': 'string:$portal_url/fss_management_form',
    'category': 'Products',
    'permission': (CMFCorePermissions.ManagePortal,),
    'imageUrl': 'fss_tool.gif',
    }
