## Controller Python Script "fss_management_edit"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind state=state
##bind subpath=traverse_subpath
##parameters=storage_path='', backup_path='', rdf_enabled=0, rdf_script=''
##title= Manage FileSystem storage
##

from Products.CMFCore.utils import getToolByName

fss_tool = getToolByName(context, 'portal_fss')

if not fss_tool.isPathValid(storage_path) or \
   not fss_tool.isPathValid(backup_path):
    message = 'message_paths_not_exist'
    return state.set(status='failure', portal_status_message=message)

# Save properties
fss_tool.setStoragePath(storage_path)
fss_tool.setBackupPath(backup_path)
fss_tool.enableRDF(rdf_enabled)
fss_tool.setRDFScript(rdf_script)

message = 'message_properties_saved'

return state.set(status='success', portal_status_message=message)

