## Script (Python) "get"
##title=Get content stored by FileSystemStorage
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath

from Products.CMFCore.utils import getToolByName

NotFound = "NotFound"

if len(traverse_subpath) < 1:
    raise NotFound, "Unknown page."

# Get FSS Item
name = traverse_subpath[0]
fsstool = getToolByName(context, 'portal_fss')
obj = fsstool.getFSSItem(context, name)

if obj is None:
    raise NotFound, "Unknown page."

if len(traverse_subpath) > 1:
    # Maybe call method of object
    cmd_name = traverse_subpath[1]
    cmd = getattr(obj, 'evalCmd')
    return cmd(cmd_name)
else:
    request = context.REQUEST
    return obj.download(request, 'inline')